package http_model

type GetReceiveInfoRequest struct {
}

type ReceiveInfoPreview struct {
	InvoiceID         int64  `json:"invoice_id"`
	InvoiceHead       string `json:"invoice_head"`
	HeadType          string `json:"head_type"`
	InvoiceType       string `json:"invoice_type"`
	TaxNum            string `json:"tax_num"`
	BaseBank          string `json:"base_bank"`
	BaseBankCardNum   string `json:"base_bank_card_num"`
	EnterpriseAddress string `json:"enterprise_address"`
	EnterprisePhone   string `json:"enterprise_phone"`
}

type ReceiveInfoData struct {
	ReceiveInfoPreview []*ReceiveInfoPreview `json:"receive_info_preview"`
}

func NewGetReceiveInfoRequest() *GetReceiveInfoRequest {
	return new(GetReceiveInfoRequest)
}

func NewGetReceiveInfoResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(ReceiveInfoData)
	return resp
}
